Skip to content

Restart a container

POST
/api/docker/nodes/{nodeId}/containers/{containerId}/restart
curl --request POST \
--url https://gateway.example.com/api/docker/nodes/550e8400-e29b-41d4-a716-446655440000/containers/550e8400-e29b-41d4-a716-446655440000/restart \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "timeout": 1 }'
nodeId
required
string
>= 1 characters
Example
550e8400-e29b-41d4-a716-446655440000
containerId
required
string
>= 1 characters
Example
550e8400-e29b-41d4-a716-446655440000

Optional JSON request body

Media typeapplication/json
object
timeout
integer
<= 300
Examplegenerated
{
"timeout": 1
}

Successful response

Media typeapplication/json
object
success
required
boolean
Example
{
"data": {
"id": "nginx-prod",
"name": "nginx-prod",
"image": "nginx:1.27",
"state": "running",
"ports": [
"80/tcp"
]
}
}

Bad request

Media typeapplication/json
object
code
required

Error code

string
message
required

Human-readable error message

string
details

Additional error details

Example
{
"code": "VALIDATION_ERROR",
"message": "Request validation failed",
"details": [
{
"path": [
"name"
],
"message": "Required"
}
]
}

Authentication required

Media typeapplication/json
object
code
required

Error code

string
message
required

Human-readable error message

string
details

Additional error details

Example
{
"code": "UNAUTHORIZED",
"message": "Authentication required"
}

Forbidden

Media typeapplication/json
object
code
required

Error code

string
message
required

Human-readable error message

string
details

Additional error details

Example
{
"code": "FORBIDDEN",
"message": "Insufficient permissions"
}

Not found

Media typeapplication/json
object
code
required

Error code

string
message
required

Human-readable error message

string
details

Additional error details

Example
{
"code": "NOT_FOUND",
"message": "Resource not found"
}

Conflict

Media typeapplication/json
object
code
required

Error code

string
message
required

Human-readable error message

string
details

Additional error details

Example
{
"code": "CONFLICT",
"message": "Resource already exists"
}

Unprocessable entity

Media typeapplication/json
object
code
required

Error code

string
message
required

Human-readable error message

string
details

Additional error details

Example
{
"code": "UNPROCESSABLE_ENTITY",
"message": "Request could not be processed"
}

Internal server error

Media typeapplication/json
object
code
required

Error code

string
message
required

Human-readable error message

string
details

Additional error details

Example
{
"code": "INTERNAL_ERROR",
"message": "Internal server error"
}